summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/blazer.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sanity/system_light/scripts/blazer.sh')
-rwxr-xr-xsanity/system_light/scripts/blazer.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/blazer.sh b/sanity/system_light/scripts/blazer.sh
new file mode 100755
index 0000000..3e59cb0
--- /dev/null
+++ b/sanity/system_light/scripts/blazer.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+
+#ioblazer test which tests the IO functionality, and can generate vm related loads.
+
+function main()
+{
+ ioblazer -d $BLAZER_DIR;
+
+ # Since opening a file with O_DIRECT in fuse fails check the exit value for failure. If the test fails for the first time assume that
+ # the mount point was a fuse mount point and re run the test again with buffered IO enabled.
+
+ if [ $? -ne 0 ]; then
+ ioblazer -B 1 -d $BLAZER_DIR
+ if [ $? -ne 0 ]; then
+ return 11;
+ else
+ return 0;
+ fi
+ else
+ return 0;
+ fi
+}
+
+main "$@"; \ No newline at end of file